function Create(self)

   self.alliedTeam = -1;
   self.enableDeploy = false;

end

function Update(self)

   if self.ID ~= self.RootID then
      local actor = MovableMan:GetMOFromID(self.RootID);
      if MovableMan:IsActor(actor) then
         self.alliedTeam = ToActor(actor).Team;
      end
   end

   if self:IsActivated() and self.ID == self.RootID then
      self.enableDeploy = true;
   end

end

function Destroy(self)

   if self.enableDeploy == true then
      self.deployActor = CreateACrab("Sentry");
      self.deployActor.Team = self.alliedTeam;
      self.deployActor.Pos = self.Pos;
      self.deployActor.AIMode = 1;
      MovableMan:AddActor(self.deployActor);
   end

end