function Create(self)

	self.lifeTimer = Timer();

	for i = 1,MovableMan:GetMOIDCount()-1 do
		local gun = MovableMan:GetMOFromID(i);
		if gun.ClassName == "HDFirearm" and gun.PresetName == "Grenade Launcher" and SceneMan:ShortestDistance(self.Pos,ToHDFirearm(gun).MuzzlePos,SceneMan.SceneWrapsX).Magnitude < 5 then
			actor = MovableMan:GetMOFromID(gun.RootID);
			if MovableMan:IsActor(actor) then
				self.Vel = actor.Vel + Vector(25,0):RadRotate(ToActor(actor):GetAimAngle(true)):DegRotate((math.random()*6)-3);
			end
		end
	end

end

function Update(self)

	self.ToDelete = false;
	self.ToSettle = false;

	if self.lifeTimer:IsPastSimMS(2000) then
		local explosion = CreateMOSRotating("TF2 Grenade Explosion");
		explosion.Pos = self.Pos;
		explosion:GibThis();
		MovableMan:AddParticle(explosion);
		self.ToDelete = true;
	end

end

function Destroy(self)

	ActivityMan:GetActivity():ReportDeath(self.Team,-1);

end